#!/bin/bash
#
#This module checks if the pipeline is ready to start
#
echo CHECK: ----------   CHECK module is now running...   ----------

echo CHECK: Starting now some file checks ...
#CHECKING OPT FILE
if [ ! -f pipe.opt ]; then echo CHECK: opt file pipe.opt does not exist.; exit 1; fi


#Working directory 
WORK_DIR=`grep -w WORK_DIR pipe.opt | cut -d= -f2`	
#Directory containing needed files and scripts
STUFF_DIR=`grep -w STUFF_DIR pipe.opt | cut -d= -f2`
if [ -z $WORK_DIR -o -z $STUFF_DIR ]; then
  echo CHECK: Some information are not present in file pipe.opt.
  exit 2
fi

#CHECKING WORKING DIRECTORY and SCRIPT DIRECTORIES
echo CHECK: Checking directories... 
if [ ! -d $WORK_DIR -o ! -d $STUFF_DIR ]; then
    echo CHECK: The directories you set in file pipe.opt do not exist.
    exit 3
fi

echo CHECK: You chose $WORK_DIR as working directory
echo CHECK: Your script directory is $STUFF_DIR 

cd $WORK_DIR

#CHECKING NEEDED PROGRAMMES
echo -e "\nCHECK: Checking needed programmes/scripts/files..."
ex=0  
for i in bash daospec awk; do
  which $i
  if [ $? != 0 ]; then
    echo CHECK: I cannot find programme $i
    ex=1
  fi
done
#CHECKING MODULES
for i in ${WORK_DIR}/module1.sh ${WORK_DIR}/module2.sh ${WORK_DIR}/module3.sh ${WORK_DIR}/tomoog.sh ${WORK_DIR}/module4.sh; do
  if [ ! -x $i ]; then
    echo CHECK: Module $i does not exist or is not executable.
    ex=1
  fi
done
#CHECKING NEEDED SCRIPTS and FILES
for i in shlobpix.cl re.cl arith.cl login.cl laboratory.dat ; do
  file=${STUFF_DIR}/${i}
  if [ ! -f $file ]; then
    echo CHECK: I cannot find script $i in $STUFF_DIR
    ex=1
  fi
done
  
if [ $ex -eq 1 ]; then 
  echo CHECK: Exiting the module. 
  exit 4
else 
  irafdir=`grep set.home ${STUFF_DIR}/login.cl | cut -d= -f2 | sed 's/\"//g'`
  if [ ! -d $irafdir ]; then
    echo "CHECK: the directory \"$irafdir\" set as home in ${STUFF_DIR}/login.cl does not exist."
    exit 5
  else 
    echo "CHECK: ...OK"
    exit 0
  fi
fi
