#!/bin/bash
echo MKHTML: Building HTML
DIRHTML=HTML/

outf=results.html
fwstat=fwstat.dat

start=`grep start log.time | cut -d= -f2`
end=`grep end log.time | cut -d= -f2`
inputfile=`grep -w inputf01 pipe.opt | cut -d= -f2`

fwgt20=`awk '!/^#/{if($8>20){print $0}}' $fwstat | wc -l`
cr1=`awk '!/^#/{if($3==1){print $0}}' $fwstat | wc -l`
cr2=`awk '!/^#/{if($3==2){print $0}}' $fwstat | wc -l`
cr3=`awk '!/^#/{if($3==3){print $0}}' $fwstat | wc -l`
ok=`awk '!/^#/{if($3==0 && $4==0 && $8<20){print $0}}' $fwstat | wc -l`
fxfw=`awk '!/^#/{if($3==0 && $4==1 && $8<20){print $0}}' $fwstat | wc -l`
ntot=`wc -l < $fwstat`
ffwgt20=(`awk '!/^#/{if($8>20){print $1}}' $fwstat`)
fcr1=(`awk '!/^#/{if($3==1){print $1}}' $fwstat`)
fcr2=(`awk '!/^#/{if($3==2){print $1}}' $fwstat`)
fcr3=(`awk '!/^#/{if($3==3){print $1}}' $fwstat`)
fok=(`awk '!/^#/{if($3==0 && $4==0 && $8<20){print $1}}' $fwstat`)
ffxfw=(`awk '!/^#/{if($3==0 && $4==1 && $8<20){print $1}}' $fwstat`)

echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/html4/loose.dtd\">
<html>
 <head>
    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">
    <title>FWgt20</title>
    <link href=\"layout.css\" rel=\"stylesheet\" type=\"text/css\">
    <!--[if lte IE 8]><script language=\"javascript\" type=\"text/javascript\" src=\"../excanvas.min.js\"></script><![endif]-->
 </head>
    <body>
    <table border=\"0\"> " > ${DIRHTML}/fwtable.html

for i in ${ffwgt20[@]}; do
  echo "<tr><td>${i}</td></tr>">>${DIRHTML}/fwtable.html
done
echo -e "</table>\n</body>\n</html>">>${DIRHTML}/fwtable.html

echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/html4/loose.dtd\">
<html>
 <head>
    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">
    <title>CR1</title>
    <link href=\"layout.css\" rel=\"stylesheet\" type=\"text/css\">
    <!--[if lte IE 8]><script language=\"javascript\" type=\"text/javascript\" src=\"../excanvas.min.js\"></script><![endif]-->
 </head>
    <body>
    <table border=\"0\"> " > ${DIRHTML}/cr1table.html

for i in ${fcr1[@]}; do
  echo "<tr><td>${i}</td></tr>">>${DIRHTML}/cr1table.html
done
echo -e "</table>\n</body>\n</html>">>${DIRHTML}/cr1table.html


echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/html4/loose.dtd\">
<html>
 <head>
    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">
    <title>CR3</title>
    <link href=\"layout.css\" rel=\"stylesheet\" type=\"text/css\">
    <!--[if lte IE 8]><script language=\"javascript\" type=\"text/javascript\" src=\"../excanvas.min.js\"></script><![endif]-->
 </head>
    <body>
    <table border=\"0\"> " > ${DIRHTML}/cr2table.html

for i in ${fcr2[@]}; do
  echo "<tr><td>${i}</td></tr>">>${DIRHTML}/cr2table.html
done
echo -e "</table>\n</body>\n</html>">>${DIRHTML}/cr2table.html


echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/html4/loose.dtd\">
<html>
 <head>
    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">
    <title>CR4</title>
    <link href=\"layout.css\" rel=\"stylesheet\" type=\"text/css\">
    <!--[if lte IE 8]><script language=\"javascript\" type=\"text/javascript\" src=\"../excanvas.min.js\"></script><![endif]-->
 </head>
    <body>
    <table border=\"0\"> " > ${DIRHTML}/cr3table.html

for i in ${fcr3[@]}; do
  echo "<tr><td>${i}</td></tr>">>${DIRHTML}/cr3table.html
done
echo -e "</table>\n</body>\n</html>">>${DIRHTML}/cr3table.html


echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/html4/loose.dtd\">
<html>
 <head>
    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">
    <title>OK</title>
    <link href=\"layout.css\" rel=\"stylesheet\" type=\"text/css\">
    <!--[if lte IE 8]><script language=\"javascript\" type=\"text/javascript\" src=\"../excanvas.min.js\"></script><![endif]-->
 </head>
    <body>
    <table border=\"0\"> " > ${DIRHTML}/oktable.html

for i in ${fok[@]}; do
  echo "<tr><td>${i}</td></tr>">>${DIRHTML}/oktable.html
done
echo -e "</table>\n</body>\n</html>">>${DIRHTML}/oktable.html

echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/html4/loose.dtd\">
<html>
 <head>
    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">
    <title>FXFW</title>
    <link href=\"layout.css\" rel=\"stylesheet\" type=\"text/css\">
    <!--[if lte IE 8]><script language=\"javascript\" type=\"text/javascript\" src=\"../excanvas.min.js\"></script><![endif]-->
 </head>
    <body>
    <table border=\"0\"> " > ${DIRHTML}/fxtable.html

for i in ${ffxfw[@]}; do
  echo "<tr><td>${i}</td></tr>">>${DIRHTML}/fxtable.html
done
echo -e "</table>\n</body>\n</html>">>${DIRHTML}/fxtable.html

echo -e "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/html4/loose.dtd\">
<html>
 <head>
    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">
    <title>PIPE RESULTS</title>
    <link href=\"layout.css\" rel=\"stylesheet\" type=\"text/css\">
    <!--[if lte IE 8]><script language=\"javascript\" type=\"text/javascript\" src=\"../excanvas.min.js\"></script><![endif]-->
    <script language=\"javascript\" type=\"text/javascript\" src=\"./${DIRHTML}/JS/jquery.js\"></script>
    <script language=\"javascript\" type=\"text/javascript\" src=\"./${DIRHTML}/JS/jquery.flot.js\"></script>
    <script language=\"javascript\" type=\"text/javascript\" src=\"./${DIRHTML}/JS/jquery.flot.pie.js\"></script>

<script type=\"text/javascript\">

\$(function () {
	// data
	var datan = [
		{ label: \"OK\",  data: $ok},
		{ label: \"FIX\",  data: $fxfw},
		{ label: \"CR1\",  data: $cr1},
		{ label: \"CR2\",  data: $cr2},
		{ label: \"CR3\",  data: $cr3},
		{ label: \"FW>20\",  data: $fwgt20}
	];
    \$.plot(\$(\"#interactive\"), datan, 
	{
		series: {
			pie: { 
				show: true
			}
		},
		grid: {
			hoverable: true,
			clickable: true
		}
	});
	\$(\"#interactive\").bind(\"plothover\", pieHover);
	\$(\"#interactive\").bind(\"plotclick\", pieClick);

});

function pieHover(event, pos, obj) 
{
	nspec=$ntot
	if (!obj)
                return;
	percent = parseFloat(obj.series.percent).toFixed(2);
	number  = nspec*percent/100;
	number  = number.toFixed()
	\$(\"#hover\").html('<span style=\"font-weight: bold; color: '+obj.series.color+'\">'+obj.series.label+': '+number+' on '+nspec+' ('+percent+'%)</span>');
}

function pieClick(event, pos, obj) 
{
	if (!obj)
                return;
	percent = parseFloat(obj.series.percent).toFixed(2);
	//alert(''+obj.series.label+': '+percent+'%');
	switch(obj.series.label){
	  case \"OK\":
	    \$(\"#butta\").html('<span>List of file fits with final acceptable analysis:</span>');
	    \$(\"#clicca\").html('<iframe src=\"${DIRHTML}/oktable.html\" id=\"ifrm\"></iframe>');
	    break;
	  case \"FIX\":
	    \$(\"#butta\").html('<span>List of file fits with final acceptable analysis but fixed FWHM:</span>');
	    \$(\"#clicca\").html('<iframe src=\"${DIRHTML}/fxtable.html\" id=\"ifrm\"></iframe>');
	    break;
	  case \"CR1\":
	    \$(\"#butta\").html('<span>List of crashed fits at module1:</span>');
	    \$(\"#clicca\").html('<iframe src=\"${DIRHTML}/cr1table.html\" id=\"ifrm\"></iframe>');
	    break;
	  case \"CR3\":
	    \$(\"#butta\").html('<span>List of crashed fits at module2:</span>');
	    \$(\"#clicca\").html('<iframe src=\"${DIRHTML}/cr2table.html\" id=\"ifrm\"></iframe>');
	    break;
	  case \"CR4\":
	    \$(\"#butta\").html('<span>List of crashed fits at module3:</span>');
	    \$(\"#clicca\").html('<iframe src=\"${DIRHTML}/cr3table.html\" id=\"ifrm\"></iframe>');
	    break;
	  case \"FW>20\":
	    \$(\"#butta\").html('<span>List of fits with FW>20:</span>');
	    \$(\"#clicca\").html('<iframe src=\"${DIRHTML}/fwtable.html\" id=\"ifrm\"></iframe>');
	    break;
	  default:
	    //\$(\"#clicca\").html('<span>\"DEFAULT\"</span>');
	}
}
	
</script>
<style type=\"text/css\">
	* {
	  font-family: sans-serif;
	}
	
	body
	{
		padding: 0 1em 1em 1em;
	}
	
	div.graph
	{
		width: 400px;
		height: 300px;
		float: left;
		border: 1px dashed gainsboro;
	}
	
	div.under
	{
		width: 80%;
		float: left;
		clear: both;
	}
	
	label
	{
		display: block;
		margin-left: 50px;
		padding-left: 1em;
	}
	
	h2
	{
		padding-top: 1em;
		margin-bottom: 0;
		clear: both;
		color: #ccc;
	}
	
	code
	{
		display: block;
		background-color: #eee;
		border: 1px dashed #999;
		padding: 0.5em;
		margin: 0.5em;
		color: #666;
		font-size: 10pt;
	}
	
	code b
	{
		color: black;
	}
	
	ul
	{
		font-size: 10pt;
	}
	
	ul li
	{
		margin-bottom: 0.5em;
	}
	
	ul.options li
	{
		list-style: none;
		margin-bottom: 1em;
	}
	
	ul li i
	{
		color: #999;
	}
        iframe#ifrm { 
    		width:80%;
    		margin: auto;
    		border:1px solid #d0d0d0;
		scrolling=\"yes\";
		background-color:#CACACA;
	}
</style>

 </head>
    <body>
    <h1>PIPE RESULTS</h1>

    <h2>Interactive</h2>
    <div id=\"interactive\" class=\"graph\"></div>
    <div class=\"graph\" style=\"padding-left:20px\">
      <p>Input file used: $inputfile</p>
      <p>Start: $start</p>
      <p>End: $end</p>
    </div> 
    <label for=\"interactive\">
    <div id=\"hover\" class=\"under\"></div>
    </label>      
    <div class=\"under\">
      <h3 id=\"butta\"></h3>
      <div id=\"clicca\"></div>
    </div>
    
 </body>
</html>" > $outf

echo MKHTML: done.
