#!/bin/bash
echo TOMOOG: Now converting files to Moog format
#Read names of files from output03
#Done 16/10/2012. Works with the GES linelist v3.
infile=`grep -w output03 pipe.opt | cut -d= -f2`
if [ -z $infile ]; then
  infile=output03.dat
fi
file_opt_m3=${WORK_DIR}/${infile}
if [ ! -f $file_opt_m3 ]; then
  echo TOMOOG: I cannot find the output file of module 3 $file_opt_m3
  echo TOMOOG: Exiting the module.
  exit 1
fi

list=(`grep -v \# $file_opt_m3 | awk '{print $1}'`)

for fits in ${list[@]}; do

      rootname=`echo $fits | sed 's/.fits//g'`
      outdaos=${rootname}.daospec
      outfM03=${rootname}.moog
      outfM03bis=${rootname}.iron
      rm -f $outfM03 $outfM03bis tempM03 tempM03b 

      if [ -s $outdaos ]; then
        #Creating .moog files using lines with 5<EW<120 and flag different from N/
        awk '{flag=match($16,"N/"); if (NF>5 && NR>2 && $3>10 && $3<120 && flag==0){printf "%8.3f  %4.1f  %6.3f  %7.3f  %8.3f  %8.3f  %7.1f\n",$6,$8,$10,$9,$13,$17,$3}}' $outdaos > tempM03
        sort -k2 tempM03 > $outfM03
        rm -f tempM03
        #Creating .iron files using lines with 20<EW<120 and flag different from N/	
        awk '{flag=match($16,"N/"); if (NF>5 && NR>2 && $3>20 && $3<120 && flag==0){printf "%8.3f  %4.1f  %6.3f  %7.3f  %8.3f  %8.3f  %7.1f\n",$6,$8,$10,$9,$13,$17,$3}}' $outdaos > tempM03
        #awk '{flag=match($16,"Y/"); if (NF>5 && NR>2 && $3>20 && $3<120 && flag==1){print $6"  "$8"  "$10"  "$9"  "$13"  "$17"  "$3}}' $outdaos > tempM03
        sort -k2 tempM03 > tempM03b
        rm -f tempM03 
	awk '{ if ($2=="26.1") print $0}' tempM03b > $outfM03bis
	awk '{ if ($2=="26.0") print $0}' tempM03b >> $outfM03bis
	rm -f tempM03b
      else
        echo TOMOOG: I cannot find the DAOSPEC output $outdaos or file is empty.
      fi
done
echo TOMOOG: done.

exit 0
